Subject: Re: Windows expertise needed: what are MinSPs
From: "Paul Garceau" <[email-masked]>
To: [email-masked]
Date: Thu, 1 Mar 2001 15:04:40 -0800

Hi folks,

	Without straying too far OT, I think it needs to be said that Win9x/Me 
do not handle resource management or systems scheduling very well.  If 
you have something "not responding", it is likely because the OS hasn't 
gotten around to dealing with it and not because the process has had an 
error.
	Cygwin is resource heavy as are most third party apps (such as 
ZoneAlarm) when it comes to Win9x/Me.  Add too many processes and the 
OS will effectively freeze...guaranteed.  Doesn't seem to matter how 
fast the cpu is.  Nor does the amount of ram make much of a difference 
in reducing the frequency of such occurrences.

	Peace,

		Paul G.

On 1 Mar 2001, at 10:24, the Illustrious David A. Cobb wrote:

> Bernard Dautrevaux wrote:
> 
> > > -----Original Message-----
> > > From: David A. Cobb [mailto:[email-masked]]
> > > Sent: Thursday, March 01, 2001 1:23 AM
> > > To: Cygwin General MailList
> > > Subject: Windows expertise needed: what are MinSPs
> > >
> > >
> > > Working in Xemacs-i686-pc-Cygwin-21.1.13 and a [virtual] host
> > > of Cygwin
> > > tools, when up popped the devil - BSOD - and said:
> > >     Stack Frames nearly exhausted, try increasing MinSPs in
> > > SYSTEM.INI,
> > >     MinSPs = 4
> > >
> > You're running Win95 or Win98 isn't it?
> 
> Win98se, yes.
> 
> > There 32-bit DRIVERS are allocated a default 1-page stack (that is
> > 4kbyte). If there is a stack overflow, Win98 will look in a pool of
> > Spare Stack pages to grow the driver's stack. It's this set of spare
> > stack pages you are increasing by setting MinSPs :-)
> >
> > Note that you must always increase it by 4 (i.e. set it to 8, 12,
> > etc.) according to Microsoft... Now, why do you have stack overflows
> > in 32-bit drivers is another history but you should have corrected the
> > problem if you no more get the same message :-)
> >
> > HINT: have you installed anything on your computer recently?
> 
> /Merci/ Bernard.  I did install a barcode reader from "CRQ" recently. 
> Also, ZoneAlarm has a driver-like component IKEServices and I quite
> often have seen ZA as the [not responding] application.
> 
> I don't know yet how Cygwin does some of its magic without a driver-like
> component, but it does chew up resources of some sort to maintain its
> own process stack - a typical "ps" shows 6 or 8 Cygwin processes hanging
> around waiting for someone to do something.
> 
> The bottom line is that today with MinSPs=8 the things that were not
> working before now work like a charm.  Again, maybe we should all look
> at that value on our machines and maybe a FAQ should suggest increasing
> it if there are hangup problems. -- David A. Cobb, The Superbiskit !
> Software Engineer, Public Access Advocate, All around nice guy. Get my
> PGP key at
> :<http://pgpkeys.mit.edu:11371/pks/lookup?op=get&search=superbiskit>
> Fingerprint=0x{6E3E DB8C 2E8C 4248 62B2  FE29 08EE CF0A 3629 E954} "By
> God's Grace I am a Christian man, by my actions a great sinner." --The
> Way of a Pilgrim, R. M. French [tr.]
> <---.----!----.----!----.----!----.----!----.----!----.----!----.---->
> 
> 
> 
> --
> Want to unsubscribe from this list?
> Check out: http://cygwin.com/ml/#unsubscribe-simple
> 
> 

Nothing real can be threatened.
    Nothing unreal exists.

--
Want to unsubscribe from this list?
Check out: http://cygwin.com/ml/#unsubscribe-simple